# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Business Applications
#    Copyright (C) 2004-2012 OpenERP S.A. (<http://openerp.com>).
#    Copyright (C) 2013 initOS GmbH & Co. KG (<http://www.initos.com>).
#    Author Thomas Rehn <thomas.rehn at initos.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields, osv

class sale_configuration(osv.TransientModel):
    _inherit = 'sale.config.settings'

    _columns = {
        'product_default_uom': fields.many2one('product.uom', 'Default Unit of Measure', help="Default Unit of Measure used for all stock operation.")
    }
    
    def get_default_product_default_uom(self, cr, uid, ids, context=None):
        product_uom = self.pool.get('product.uom')
        default_id = self.pool.get("ir.config_parameter").get_param(cr, uid, "product.default_uom")
        default_uom = None
        if default_id:
            default_uom = product_uom.browse(cr, uid, int(default_id), context=context)
            if default_uom:
                default_uom = default_uom.id
        return {'product_default_uom' : default_uom }

    def set_product_default_uom(self, cr, uid, ids, context=None):
        config = self.browse(cr, uid, ids)
        config = config and config[0]
        self.pool.get('ir.config_parameter').set_param(cr,uid, 'product.default_uom', str(config.product_default_uom.id))
        return True
